textures/APcup2/ametal_m01sm_ns
{
	qer_editorimage textures/APcup2/ametal_m01sm.tga
	surfaceparm metalsteps
	surfaceparm nonsolid
	{ 
		map textures/APcup2/ametal_m01sm.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/blackshine
{
	qer_editorimage gfx/colors/ablack.tga
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/effects/wdfx_W.tga
		rgbGen identity
		tcGen environment
	}
      {
		map gfx/colors/ablack.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen const ( 0.0 0.0 0.0 )
		// 0 0 0
      } 
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/APcup2/beam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
	}
}

textures/APcup2/sd_goldrush
{
	qer_editorimage textures/skies/sky_8.tga
	q3map_skylight 65 3
	q3map_sun 0.3 0.3 0.45 60 35 45
	nocompress
	skyparms - 200 -
	sunshader textures/skies_sd/full_moon2
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	
	{	fog off
		map textures/skies_sd/goldrush_clouds.tga
		tcMod scale 5 5
		tcMod scroll 0.0015 -0.003
		rgbGen identityLighting
	}


	{	fog off
		map textures/skies/nightsky1.jpg
		tcMod scale 10 10
		blendfunc add
		rgbGen identityLighting
	}

	{
		fog off
		clampmap textures/skies_sd/goldrush_mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		// rgbGen identityLighting
		//rgbGen const ( 0.6 0.6 0.6 ) 
		rgbGen const ( 0.4 0.4 0.4 ) 
	}
}

textures/APcup2/door_m01aaaaswf_ns
{
	qer_editorimage textures/swf/door_m01aaaaswf.jpg
	nocompress
	surfaceparm metalsteps
	surfaceparm nonsolid
	{ 
		map textures/swf/door_m01aaaaswf.jpg
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/castle_c09_2_ns
{
	qer_editorimage textures/castle_wall/castle_c09_2.tga
	nocompress
	surfaceparm nonsolid
	{ 
		map textures/castle_wall/castle_c09_2.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/mesh_c02_ns
{
	qer_trans 0.85
	qer_editorimage textures/alpha/mesh_c02.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/alpha/mesh_c02.tga
}

textures/APcup2/xmetal_c03
{
	qer_editorimage textures/xlab_wall/xmetal_c03.jpg
	surfaceparm metalsteps
	surfaceparm nonsolid
	{ 
		map textures/xlab_wall/xmetal_c03.jpg
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/ametal_m01sm
{
	surfaceparm metalsteps
	implicitMap -
}

textures/APcup2/xtrim_c05
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	implicitMap -
}

textures/APcup2/xtrim_c05_solid
{
	qer_editorimage textures/APcup2/xtrim_c05.tga
	surfaceparm metalsteps
	{ 
		map textures/APcup2/xtrim_c05.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/metal_c02
{
	surfaceparm metalsteps
	surfaceparm nonsolid
	implicitMap -
}

textures/APcup2/metal_c02_ns
{
	qer_editorimage textures/APcup2/metal_c02
	surfaceparm metalsteps
	surfaceparm nonsolid
	{ 
		map textures/APcup2/metal_c02.jpg
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/metal_c02_solid
{
	qer_editorimage textures/APcup2/metal_c02
	surfaceparm metalsteps
	{ 
		map textures/APcup2/metal_c02.jpg
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/APcup2/black
{
	surfaceparm nomarks
	surfaceparm trans
	{
		map gfx/colors/ablack.tga
	}
}

textures/APcup2/diniwater
{
	qer_editorimage textures/APcup2/pool3d_3e.tga
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/APcup2/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/APcup2/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}


	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}

}

textures/APcup2/greenbeam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
		rgbGen const ( 0.0 1.0 0.0 )
	}
}

textures/APcup2/redbeam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		blendFunc add
		rgbGen const ( 1.0 0.0 0.0 )
	}
}

textures/APcup2/transblack
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
	surfaceparm nonsolid
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
		// 0 0 0
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}

textures/APcup2/transred
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
		// 255 0 0
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}

textures/APcup2/transgreen
{
	qer_editorimage textures/sfx/construction.tga
      cull none 
      deformVertexes wave 1 sin -0.5 0 0 1
      noPicmip 
      surfaceparm trans 
      {
		map textures/sfx/construction.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
		// 0 255 0
            tcGen environment 
            tcMod scroll 0.025 -0.07625 
      } 
}

textures/Apcup2/red_light
{
	qer_editorimage textures/APcup2/light.tga
	cull none
	surfaceparm nonsolid
	q3map_surfacelight 4000
	q3map_lightimage textures/APcup2/red.jpg
	{
		map textures/APcup2/light.tga
		blendFunc blend
		rgbGen const ( 1.0 0.0 0.0 )
	}
}

textures/Apcup2/green_light
{
	qer_editorimage textures/APcup2/light.tga
	cull none
	surfaceparm nonsolid
	q3map_surfacelight 4000
	q3map_lightimage textures/APcup2/green.jpg
	{
		map textures/APcup2/light.tga
		blendFunc blend
		rgbGen const ( 0.0 1.0 0.0 )
	}
}

textures/APcup2/potleaf
{
	qer_editorimage textures/Apcup2/potleaf.tga
	DeformVertexes autosprite2
	surfaceparm nodamage
	surfaceparm nonsolid
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/Apcup2/toxicsym2
{
	qer_editorimage textures/Apcup2/toxicsym2.tga
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	{
		map textures/APcup2/toxicsym2.tga
		blendFunc blend
	}
}

textures/APcup2/glass1
{
	qer_editorimage textures/common/dirtymirror.tga
	qer_trans 0.5
	cull none
	surfaceparm glass
	surfaceparm trans
	{
		map textures/common/dirtymirror.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcgen environment
	}
}

textures/APcup2/greenbar
{
	cull none
	noPicmip 
	surfaceparm trans 
	surfaceparm nonsolid
	deformVertexes wave 160 sin 0 2 0 0.3
	q3map_tessSize 384
	{
		map textures/APcup2/3bar1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.3 0
	} 
	{
		map textures/APcup2/3bar2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
		tcmod scale 1 1
		tcMod scroll -0.4 0
	} 
	{
		map textures/APcup2/3bar3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//rgbgen wave sin 0.5 1 0 0.2
		rgbGen const ( 0.0 1.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.2 0
	} 
}

textures/APcup2/redbar
{
	cull none
	noPicmip 
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes wave 160 sin 0 2 0 0.3
	q3map_tessSize 384
	{
		map textures/APcup2/3bar1.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.3 0
	} 
	{
		map textures/APcup2/3bar2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
		tcmod scale 1 1
		tcMod scroll -0.4 0
	} 
	{
		map textures/APcup2/3bar3.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		//rgbgen wave sin 0.5 1 0 0.2
		rgbGen const ( 1.0 0.0 0.0 )
		tcmod scale 1 1
		tcMod scroll 0.2 0
	} 
}

textures/APcup2/bud_leaves_large
{
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/APcup2/stem
{
	qer_editorimage textures/temperate_sd/grass_dense1.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/temperate_sd/grass_dense1.tga
		rgbgen identity
	}
}

textures/APcup2/fog
{
	qer_editorimage textures/APcup2/fog1.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	q3map_surfacelight 1
	q3map_globaltexture
	fogparms ( 1.0 1.0 1.0 ) 512
	{
		map textures/APcup2/fog1.tga
		blendfunc filter
		rgbGen identity
		tcMod scale -0.05 -0.05
		tcMod scroll 0.01 -0.01
	}
	{
		map textures/APcup2/fog1.tga
		blendfunc filter
		rgbGen identity
		tcMod scale 0.05 0.05
		tcMod scroll 0.01 -0.01
	}
}

//Lights

textures/APcup2/light_xlight_4000
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/APcup2/light_xlight_5500
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 5500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/APcup2/light_xlight_4000_ns
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/APcup2/light_xlight_5500_ns
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 5500
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/APcup2/light_m21_5000
{
	qer_editorimage textures/lights/light_m21.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m21.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m21.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/APcup2/light_xlight_2500
{
	qer_editorimage textures/lights/light_xlight_02.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_xlight_02.tga
		blendFunc GL_ONE GL_ONE
	}
}